summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2019-05-10 14:30:18 -0500
committerTim Harder <radhermit@gentoo.org>2019-05-10 15:06:19 -0500
commitdeeffc467534551a7f10969af7861b5a81de84ee (patch)
tree18b31b07cee9b6907634b62381a0ef39dae63b5d /net-fs/btfs
parentmedia-libs/exiftool: version bump to 11.41 (diff)
downloadgentoo-deeffc467534551a7f10969af7861b5a81de84ee.tar.gz
gentoo-deeffc467534551a7f10969af7861b5a81de84ee.tar.bz2
gentoo-deeffc467534551a7f10969af7861b5a81de84ee.zip
net-fs/btfs: version bump to 2.19
Signed-off-by: Tim Harder <radhermit@gentoo.org>
Diffstat (limited to 'net-fs/btfs')
-rw-r--r--net-fs/btfs/Manifest1
-rw-r--r--net-fs/btfs/btfs-2.19.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/net-fs/btfs/Manifest b/net-fs/btfs/Manifest
index 1bcb1c6f534..ac214314a20 100644
--- a/net-fs/btfs/Manifest
+++ b/net-fs/btfs/Manifest
@@ -1,2 +1,3 @@
DIST btfs-2.17.tar.gz 24231 BLAKE2B 2a66ce18e907f1a905c6d93e12bdf7963561d7dad6861168606e500102afe98de48d9d609af5a9a8955edbfe96b20b26822300aecf2869169a6bbf924c2faf2d SHA512 e4fae52e46581ca382ac4ddd64d80217a9bc0c18cd6317bb4780734c193dcdd9cfed210073b5fd2d8514be2922bb3f0481b13695411e97bb67b7d793f071c3e1
DIST btfs-2.18.tar.gz 24185 BLAKE2B e9e8ca472b3231db66e859cbe28e6a664255aca456e6a0bdd5dd7d4e093b83d0322709c79d00b4d54d73adfdbf8f6d0487ad4ae69357a2f554ac899095416ac2 SHA512 d29f3816527c1eed105b45da559d025d61c8652144358227ed0ca3e516582cd8186fdcdf730b19fde6e7e9db1477690237444d2efe7c740f81f91032f1a12f86
+DIST btfs-2.19.tar.gz 24217 BLAKE2B 19e298fc4629e8292ed87aa817ed78da75df4c90cf1c437c967288a77355efcfee641d65d0d2732a88a78a40574144d06254f2fc4b04be6d0980f683d42552f9 SHA512 e890b25605808dbf09f70d4ad8703a4beafb098af39a872a6b98f6959eb30e1ba9be8ae420be0797ba8f2774b487f2434252e93eac599094a824ba411441fdd6
diff --git a/net-fs/btfs/btfs-2.19.ebuild b/net-fs/btfs/btfs-2.19.ebuild
new file mode 100644
index 00000000000..c984674ed5d
--- /dev/null
+++ b/net-fs/btfs/btfs-2.19.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
+
+inherit autotools python-r1
+
+DESCRIPTION="a bittorrent filesystem based on FUSE"
+HOMEPAGE="https://github.com/johang/btfs"
+SRC_URI="https://github.com/johang/btfs/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+CDEPEND=">=sys-fs/fuse-2.8.0:0
+ >=net-misc/curl-7.22.0
+ dev-libs/boost:=
+ >=net-libs/libtorrent-rasterbar-0.16.0:="
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ ${PYTHON_DEPS}"
+
+src_prepare() {
+ default
+
+ # don't install btplay via make
+ sed -i '/^SUBDIRS =/s/scripts//' Makefile.am || die
+
+ eautoreconf
+}
+
+src_install() {
+ default
+ python_foreach_impl python_doscript scripts/btplay
+}